Package com.smartgwt.client.util

# Class SystemWaitConfig

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.util.SystemDoneConfig
com.smartgwt.client.util.SystemWaitConfig

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `ElementWaitConfig`

public class SystemWaitConfig extends SystemDoneConfig
Configuration object for `AutoTest.waitForSystemDone()`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SystemWaitConfig()`
  `SystemWaitConfig(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getIncludeFileLoader()`
  Should the system wait for any outstanding FileLoader requests? to complete before `AutoTest.isSystemDone()` returns true?
  `Boolean`
  `getIncludeNetworkOperations()`
  Should the system wait for any outstanding `RPC Requests` to complete before `AutoTest.isSystemDone()` returns true?
  `Boolean`
  `getIncludeRedraws()`
  Should the system wait for any outstanding redraws to complete before `AutoTest.isSystemDone()` returns true?
  `Boolean`
  `getIncludeReflows()`
  Should the system wait for all `Layouts` to complete pending `reflows` before `AutoTest.isSystemDone()` returns true?
  `Boolean`
  `getIncludeTimers()`
  Should the system wait for all outstanding registered timer actions to complete before `AutoTest.isSystemDone()` returns true?
  `static SystemWaitConfig`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Integer`
  `getTimeout()`
  Timeout for `AutoTest.waitForElement()` in ms.
  `SystemWaitConfig`
  `setIncludeFileLoader(Boolean includeFileLoader)`
  Should the system wait for any outstanding FileLoader requests? to complete before `AutoTest.isSystemDone()` returns true?
  `SystemWaitConfig`
  `setIncludeNetworkOperations(Boolean includeNetworkOperations)`
  Should the system wait for any outstanding `RPC Requests` to complete before `AutoTest.isSystemDone()` returns true?
  `SystemWaitConfig`
  `setIncludeRedraws(Boolean includeRedraws)`
  Should the system wait for any outstanding redraws to complete before `AutoTest.isSystemDone()` returns true?
  `SystemWaitConfig`
  `setIncludeReflows(Boolean includeReflows)`
  Should the system wait for all `Layouts` to complete pending `reflows` before `AutoTest.isSystemDone()` returns true?
  `SystemWaitConfig`
  `setIncludeTimers(Boolean includeTimers)`
  Should the system wait for all outstanding registered timer actions to complete before `AutoTest.isSystemDone()` returns true?
  `SystemWaitConfig`
  `setTimeout(Integer timeout)`
  Timeout for `AutoTest.waitForElement()` in ms.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SystemWaitConfig

    public SystemWaitConfig()

  - ### SystemWaitConfig

    public SystemWaitConfig(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static SystemWaitConfig getOrCreateRef(JavaScriptObject jsObj)

  - ### setIncludeFileLoader

    public SystemWaitConfig setIncludeFileLoader(Boolean includeFileLoader)
    Should the system wait for any outstanding FileLoader requests? to complete before `AutoTest.isSystemDone()` returns true?
    Overrides:
      `setIncludeFileLoader` in class `SystemDoneConfig`
    Parameters:
      `includeFileLoader` - New includeFileLoader value. Default value is true
    Returns:
      `SystemWaitConfig` instance, for chaining setter calls

  - ### getIncludeFileLoader

    public Boolean getIncludeFileLoader()
    Should the system wait for any outstanding FileLoader requests? to complete before `AutoTest.isSystemDone()` returns true?
    Overrides:
      `getIncludeFileLoader` in class `SystemDoneConfig`
    Returns:
      Current includeFileLoader value. Default value is true

  - ### setIncludeNetworkOperations

    public SystemWaitConfig setIncludeNetworkOperations(Boolean includeNetworkOperations)
    Should the system wait for any outstanding `RPC Requests` to complete before `AutoTest.isSystemDone()` returns true?

    If not explicitly set, `implicitNetworkWait` will be consulted

    Overrides:
      `setIncludeNetworkOperations` in class `SystemDoneConfig`
    Parameters:
      `includeNetworkOperations` - New includeNetworkOperations value. Default value is true
    Returns:
      `SystemWaitConfig` instance, for chaining setter calls

  - ### getIncludeNetworkOperations

    public Boolean getIncludeNetworkOperations()
    Should the system wait for any outstanding `RPC Requests` to complete before `AutoTest.isSystemDone()` returns true?

    If not explicitly set, `implicitNetworkWait` will be consulted

    Overrides:
      `getIncludeNetworkOperations` in class `SystemDoneConfig`
    Returns:
      Current includeNetworkOperations value. Default value is true

  - ### setIncludeRedraws

    public SystemWaitConfig setIncludeRedraws(Boolean includeRedraws)
    Should the system wait for any outstanding redraws to complete before `AutoTest.isSystemDone()` returns true?
    Overrides:
      `setIncludeRedraws` in class `SystemDoneConfig`
    Parameters:
      `includeRedraws` - New includeRedraws value. Default value is true
    Returns:
      `SystemWaitConfig` instance, for chaining setter calls

  - ### getIncludeRedraws

    public Boolean getIncludeRedraws()
    Should the system wait for any outstanding redraws to complete before `AutoTest.isSystemDone()` returns true?
    Overrides:
      `getIncludeRedraws` in class `SystemDoneConfig`
    Returns:
      Current includeRedraws value. Default value is true

  - ### setIncludeReflows

    public SystemWaitConfig setIncludeReflows(Boolean includeReflows)
    Should the system wait for all `Layouts` to complete pending `reflows` before `AutoTest.isSystemDone()` returns true?
    Overrides:
      `setIncludeReflows` in class `SystemDoneConfig`
    Parameters:
      `includeReflows` - New includeReflows value. Default value is true
    Returns:
      `SystemWaitConfig` instance, for chaining setter calls

  - ### getIncludeReflows

    public Boolean getIncludeReflows()
    Should the system wait for all `Layouts` to complete pending `reflows` before `AutoTest.isSystemDone()` returns true?
    Overrides:
      `getIncludeReflows` in class `SystemDoneConfig`
    Returns:
      Current includeReflows value. Default value is true

  - ### setIncludeTimers

    public SystemWaitConfig setIncludeTimers(Boolean includeTimers)
    Should the system wait for all outstanding registered timer actions to complete before `AutoTest.isSystemDone()` returns true?
    Overrides:
      `setIncludeTimers` in class `SystemDoneConfig`
    Parameters:
      `includeTimers` - New includeTimers value. Default value is true
    Returns:
      `SystemWaitConfig` instance, for chaining setter calls

  - ### getIncludeTimers

    public Boolean getIncludeTimers()
    Should the system wait for all outstanding registered timer actions to complete before `AutoTest.isSystemDone()` returns true?
    Overrides:
      `getIncludeTimers` in class `SystemDoneConfig`
    Returns:
      Current includeTimers value. Default value is true

  - ### setTimeout

    public SystemWaitConfig setTimeout(Integer timeout)
    Timeout for `AutoTest.waitForElement()` in ms.

    If unset a default timeout of 30 seconds will be used.

    Parameters:
      `timeout` - New timeout value. Default value is null
    Returns:
      `SystemWaitConfig` instance, for chaining setter calls

  - ### getTimeout

    public Integer getTimeout()
    Timeout for `AutoTest.waitForElement()` in ms.

    If unset a default timeout of 30 seconds will be used.

    Returns:
      Current timeout value. Default value is null